libzypp: zypp::Product::UrlList Class Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Types | Private Attributes | Friends | Related Functions | List of all members
zypp::Product::UrlList Class Reference

Helper to iterate a products URL lists. More...

`#include <Product.h>`

## Public Types
typedef ListType::value_type | value_type
typedef ListType::size_type | size_type
typedef ListType::const_iterator | const_iterator

## Public Member Functions
bool | empty () const
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
Url | first () const
| The first Url or an empty Url. More...
std::string | key () const
| The key used to retrieve this list (for debug) More...

## Private Types
typedef std::list< Url > | ListType

## Private Attributes
std::string | _key
| Change to directly iterate the .solv. More...
ListType | _list

## Friends
class | Product

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const Product::UrlList &obj)
| Stream output. More...

## Detailed Description

Helper to iterate a products URL lists.

first is a convenience for 'lists' with just one entry (e.g. releaseNotesUrls)

Definition at line 208 of file Product.h.

## Member Typedef Documentation

## ◆ ListType

typedef std::list<Url> zypp::Product::UrlList::ListType
| private

Todo:
  Change to directly iterate the .solv

Definition at line 212 of file Product.h.

## ◆ value_type

typedef ListType::value_type zypp::Product::UrlList::value_type

Definition at line 215 of file Product.h.

## ◆ size_type

typedef ListType::size_type zypp::Product::UrlList::size_type

Definition at line 216 of file Product.h.

## ◆ const_iterator

typedef ListType::const_iterator zypp::Product::UrlList::const_iterator

Definition at line 217 of file Product.h.

## Member Function Documentation

## ◆ empty()

bool zypp::Product::UrlList::empty | ( |  | ) | const
| inline

Definition at line 219 of file Product.h.

## ◆ size()

size_type zypp::Product::UrlList::size | ( |  | ) | const
| inline

Definition at line 222 of file Product.h.

## ◆ begin()

const_iterator zypp::Product::UrlList::begin | ( |  | ) | const
| inline

Definition at line 225 of file Product.h.

## ◆ end()

const_iterator zypp::Product::UrlList::end | ( |  | ) | const
| inline

Definition at line 228 of file Product.h.

## ◆ first()

Url zypp::Product::UrlList::first | ( |  | ) | const
| inline

The first Url or an empty Url.

Definition at line 232 of file Product.h.

## ◆ key()

std::string zypp::Product::UrlList::key | ( |  | ) | const
| inline

The key used to retrieve this list (for debug)

Definition at line 237 of file Product.h.

## Friends And Related Function Documentation

## ◆ Product

friend class Product
| friend

Definition at line 241 of file Product.h.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Product::UrlList & | obj
| ) |  |
| related

Stream output.

Definition at line 289 of file Product.cc.

## Member Data Documentation

## ◆ _key

std::string zypp::Product::UrlList::_key
| private

Change to directly iterate the .solv.

Definition at line 243 of file Product.h.

## ◆ _list

ListType zypp::Product::UrlList::_list
| private

Definition at line 244 of file Product.h.

The documentation for this class was generated from the following file:

- zypp/Product.h